Bug 1664469 - name changes from recent discussions
Summary: name changes from recent discussions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.1.0
Assignee: Gabe Montero
QA Contact: XiuJuan Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-08 22:08 UTC by Gabe Montero
Modified: 2019-06-04 10:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2019-06-04 10:41:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:0758 None None None 2019-06-04 10:41:49 UTC

Description Gabe Montero 2019-01-08 22:08:21 UTC
struct SamplesResource renamed to "Config", along with related constants starting with SamplesResource

v1alpha1 to v1

Dirs:  pkg/samplesresource to pkg/samples

api name.groupid.instanceid: configs.samples.operator.openshift.io/instance

try to adjust comments and variable names to line up

Comment 1 Gabe Montero 2019-01-09 19:55:15 UTC
PR https://github.com/openshift/cluster-samples-operator/pull/75 is up for review ... will hold it though
until https://github.com/openshift/cluster-samples-operator/pull/74 merges, then rebase it to remove 74's commit

Comment 2 Gabe Montero 2019-01-10 17:00:27 UTC
OK name change PR has merged

@XiuJuan Wang - of course let me know if the description does not adequately describe for your what to look for wrt the new CRD type and instance ID, etc.

Comment 3 XiuJuan Wang 2019-01-22 03:44:26 UTC
This change works well with 4.0.0-0.alpha-2019-01-20-082408.
Thanks

Comment 6 errata-xmlrpc 2019-06-04 10:41:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:0758


Note You need to log in before you can comment on or make changes to this bug.